/* MediaPlayer.c generated by valac 0.34.4, the Vala compiler
 * generated from MediaPlayer.vala, do not modify */

/*This file is part of FeedReader.*/
/**/
/*FeedReader is free software: you can redistribute it and/or modify*/
/*it under the terms of the GNU General Public License as published by*/
/*the Free Software Foundation, either version 3 of the License, or*/
/*(at your option) any later version.*/
/**/
/*FeedReader is distributed in the hope that it will be useful,*/
/*but WITHOUT ANY WARRANTY; without even the implied warranty of*/
/*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the*/
/*GNU General Public License for more details.*/
/**/
/*You should have received a copy of the GNU General Public License*/
/*along with FeedReader.  If not, see <http://www.gnu.org/licenses/>.*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gst/gst.h>
#include <float.h>
#include <math.h>
#include "FeedReaderCommon.h"
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <gst/pbutils/pbutils.h>
#include <cairo.h>


#define FEED_READER_TYPE_MEDIA_PLAYER (feed_reader_media_player_get_type ())
#define FEED_READER_MEDIA_PLAYER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), FEED_READER_TYPE_MEDIA_PLAYER, FeedReaderMediaPlayer))
#define FEED_READER_MEDIA_PLAYER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), FEED_READER_TYPE_MEDIA_PLAYER, FeedReaderMediaPlayerClass))
#define FEED_READER_IS_MEDIA_PLAYER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), FEED_READER_TYPE_MEDIA_PLAYER))
#define FEED_READER_IS_MEDIA_PLAYER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), FEED_READER_TYPE_MEDIA_PLAYER))
#define FEED_READER_MEDIA_PLAYER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), FEED_READER_TYPE_MEDIA_PLAYER, FeedReaderMediaPlayerClass))

typedef struct _FeedReaderMediaPlayer FeedReaderMediaPlayer;
typedef struct _FeedReaderMediaPlayerClass FeedReaderMediaPlayerClass;
typedef struct _FeedReaderMediaPlayerPrivate FeedReaderMediaPlayerPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block29Data Block29Data;
#define __g_list_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_object_unref0_ (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_thread_unref0(var) ((var == NULL) ? NULL : (var = (g_thread_unref (var), NULL)))
typedef struct _feed_reader_media_player_inspectMediaData feed_reader_media_player_inspectMediaData;
typedef struct _Block30Data Block30Data;

struct _FeedReaderMediaPlayer {
	GtkBox parent_instance;
	FeedReaderMediaPlayerPrivate * priv;
};

struct _FeedReaderMediaPlayerClass {
	GtkBoxClass parent_class;
};

struct _FeedReaderMediaPlayerPrivate {
	GstElement* m_player;
	GtkWidget* m_videoWidget;
	GtkStack* m_playStack;
	GtkButton* m_playButton;
	GtkSpinner* m_playSpinner;
	GtkButton* m_muteButton;
	GtkButton* m_closeButton;
	GtkScale* m_scale;
	GtkButton* m_labelButton;
	GtkLabel* m_bufferLabel;
	gint m_margin;
	GtkImage* m_playIcon;
	GtkImage* m_pauseIcon;
	GtkImage* m_muteIcon;
	GtkImage* m_noiseIcon;
	GtkImage* m_closeIcon;
	gboolean m_muted;
	gdouble m_aspectRatio;
	guint m_seek_source_id;
	FeedReaderMediaType m_type;
	gchar* m_URL;
	FeedReaderDisplayPosition m_display;
};

struct _Block29Data {
	int _ref_count_;
	FeedReaderMediaPlayer* self;
	GSourceFunc callback;
	gpointer callback_target;
	GDestroyNotify callback_target_destroy_notify;
	gpointer _async_data_;
};

struct _feed_reader_media_player_inspectMediaData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	FeedReaderMediaPlayer* self;
	Block29Data* _data29_;
	GThreadFunc run;
	void* run_target;
	GDestroyNotify run_target_destroy_notify;
	GThread* _tmp0_;
	GThread* _tmp1_;
};

struct _Block30Data {
	int _ref_count_;
	FeedReaderMediaPlayer* self;
	gdouble startValue;
};


static gpointer feed_reader_media_player_parent_class = NULL;

GType feed_reader_media_player_get_type (void) G_GNUC_CONST;
#define FEED_READER_MEDIA_PLAYER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), FEED_READER_TYPE_MEDIA_PLAYER, FeedReaderMediaPlayerPrivate))
enum  {
	FEED_READER_MEDIA_PLAYER_DUMMY_PROPERTY
};
FeedReaderMediaPlayer* feed_reader_media_player_new (const gchar* url);
FeedReaderMediaPlayer* feed_reader_media_player_construct (GType object_type, const gchar* url);
static void feed_reader_media_player_inspectMedia (FeedReaderMediaPlayer* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
static void feed_reader_media_player_inspectMedia_finish (FeedReaderMediaPlayer* self, GAsyncResult* _res_);
static void __lambda58_ (FeedReaderMediaPlayer* self, GObject* obj, GAsyncResult* res);
static void feed_reader_media_player_buildUI (FeedReaderMediaPlayer* self);
static void ___lambda58__gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self);
static void feed_reader_media_player_inspectMedia_data_free (gpointer _data);
static gboolean feed_reader_media_player_inspectMedia_co (feed_reader_media_player_inspectMediaData* _data_);
static Block29Data* block29_data_ref (Block29Data* _data29_);
static void block29_data_unref (void * _userdata_);
static gboolean _feed_reader_media_player_inspectMedia_co_gsource_func (gpointer self);
static void* __lambda57_ (Block29Data* _data29_);
static void _g_object_unref0_ (gpointer var);
static void _g_list_free__g_object_unref0_ (GList* self);
static gpointer ___lambda57__gthread_func (gpointer self);
static void feed_reader_media_player_onAllocation (FeedReaderMediaPlayer* self, GtkAllocation* allocation);
static void _feed_reader_media_player_onAllocation_gtk_widget_size_allocate (GtkWidget* _sender, GtkAllocation* allocation, gpointer self);
static gboolean feed_reader_media_player_busCallback (FeedReaderMediaPlayer* self, GstBus* bus, GstMessage* message);
static gboolean _feed_reader_media_player_busCallback_gst_bus_func (GstBus* bus, GstMessage* message, gpointer self);
static gboolean __lambda59_ (FeedReaderMediaPlayer* self);
static void feed_reader_media_player_calcTime (FeedReaderMediaPlayer* self);
static gboolean ___lambda59__gsource_func (gpointer self);
static void feed_reader_media_player_togglePause (FeedReaderMediaPlayer* self);
static void _feed_reader_media_player_togglePause_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void feed_reader_media_player_toggleMute (FeedReaderMediaPlayer* self);
static void _feed_reader_media_player_toggleMute_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda60_ (FeedReaderMediaPlayer* self);
void feed_reader_media_player_kill (FeedReaderMediaPlayer* self);
static void ___lambda60__gtk_button_clicked (GtkButton* _sender, gpointer self);
static gboolean feed_reader_media_player_valueChanged (FeedReaderMediaPlayer* self, GtkScrollType scroll, gdouble new_value);
static gboolean _feed_reader_media_player_valueChanged_gtk_range_change_value (GtkRange* _sender, GtkScrollType scroll, gdouble new_value, gpointer self);
static void feed_reader_media_player_switchDisplay (FeedReaderMediaPlayer* self);
static void _feed_reader_media_player_switchDisplay_gtk_button_clicked (GtkButton* _sender, gpointer self);
static gdouble* _double_dup (gdouble* self);
static Block30Data* block30_data_ref (Block30Data* _data30_);
static void block30_data_unref (void * _userdata_);
static gboolean ___lambda61_ (Block30Data* _data30_);
static void feed_reader_media_player_seek (FeedReaderMediaPlayer* self, gdouble new_value);
static gboolean ____lambda61__gsource_func (gpointer self);
static void feed_reader_media_player_finalize (GObject* obj);


static void __lambda58_ (FeedReaderMediaPlayer* self, GObject* obj, GAsyncResult* res) {
	GAsyncResult* _tmp0_ = NULL;
#line 47 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_if_fail (res != NULL);
#line 48 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_buildUI (self);
#line 49 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_signal_emit_by_name (self, "loaded");
#line 50 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = res;
#line 50 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_inspectMedia_finish (self, _tmp0_);
#line 179 "MediaPlayer.c"
}


static void ___lambda58__gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self) {
#line 47 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	__lambda58_ ((FeedReaderMediaPlayer*) self, source_object, res);
#line 47 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_unref (self);
#line 188 "MediaPlayer.c"
}


FeedReaderMediaPlayer* feed_reader_media_player_construct (GType object_type, const gchar* url) {
	FeedReaderMediaPlayer * self = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 42 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_val_if_fail (url != NULL, NULL);
#line 42 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self = (FeedReaderMediaPlayer*) g_object_new (object_type, NULL);
#line 44 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_type = FEED_READER_MEDIA_TYPE_AUDIO;
#line 45 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = url;
#line 45 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 45 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (self->priv->m_URL);
#line 45 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_URL = _tmp1_;
#line 47 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_inspectMedia (self, ___lambda58__gasync_ready_callback, g_object_ref (self));
#line 42 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return self;
#line 214 "MediaPlayer.c"
}


FeedReaderMediaPlayer* feed_reader_media_player_new (const gchar* url) {
#line 42 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return feed_reader_media_player_construct (FEED_READER_TYPE_MEDIA_PLAYER, url);
#line 221 "MediaPlayer.c"
}


static void feed_reader_media_player_inspectMedia_data_free (gpointer _data) {
	feed_reader_media_player_inspectMediaData* _data_;
	_data_ = _data;
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (_data_->self);
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_slice_free (feed_reader_media_player_inspectMediaData, _data_);
#line 232 "MediaPlayer.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return self ? g_object_ref (self) : NULL;
#line 239 "MediaPlayer.c"
}


static void feed_reader_media_player_inspectMedia (FeedReaderMediaPlayer* self, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	feed_reader_media_player_inspectMediaData* _data_;
	FeedReaderMediaPlayer* _tmp0_ = NULL;
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_ = g_slice_new0 (feed_reader_media_player_inspectMediaData);
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, feed_reader_media_player_inspectMedia);
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, feed_reader_media_player_inspectMedia_data_free);
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->self = _tmp0_;
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_inspectMedia_co (_data_);
#line 258 "MediaPlayer.c"
}


static void feed_reader_media_player_inspectMedia_finish (FeedReaderMediaPlayer* self, GAsyncResult* _res_) {
	feed_reader_media_player_inspectMediaData* _data_;
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 266 "MediaPlayer.c"
}


static Block29Data* block29_data_ref (Block29Data* _data29_) {
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_atomic_int_inc (&_data29_->_ref_count_);
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return _data29_;
#line 275 "MediaPlayer.c"
}


static void block29_data_unref (void * _userdata_) {
	Block29Data* _data29_;
	_data29_ = (Block29Data*) _userdata_;
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (g_atomic_int_dec_and_test (&_data29_->_ref_count_)) {
#line 284 "MediaPlayer.c"
		FeedReaderMediaPlayer* self;
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		self = _data29_->self;
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		(_data29_->callback_target_destroy_notify == NULL) ? NULL : (_data29_->callback_target_destroy_notify (_data29_->callback_target), NULL);
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_data29_->callback = NULL;
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_data29_->callback_target = NULL;
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_data29_->callback_target_destroy_notify = NULL;
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_object_unref0 (self);
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_slice_free (Block29Data, _data29_);
#line 300 "MediaPlayer.c"
	}
}


static gboolean _feed_reader_media_player_inspectMedia_co_gsource_func (gpointer self) {
	gboolean result;
	result = feed_reader_media_player_inspectMedia_co (self);
#line 56 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return result;
#line 310 "MediaPlayer.c"
}


static void _g_object_unref0_ (gpointer var) {
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 317 "MediaPlayer.c"
}


static void _g_list_free__g_object_unref0_ (GList* self) {
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_list_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_list_free (self);
#line 326 "MediaPlayer.c"
}


static void* __lambda57_ (Block29Data* _data29_) {
	FeedReaderMediaPlayer* self;
	void* result = NULL;
	GSourceFunc _tmp18_ = NULL;
	void* _tmp18__target = NULL;
	GDestroyNotify _tmp18__target_destroy_notify = NULL;
	GError * _inner_error_ = NULL;
#line 58 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self = _data29_->self;
#line 339 "MediaPlayer.c"
	{
		GstDiscoverer* discoverer = NULL;
		GstDiscoverer* _tmp0_ = NULL;
		GstDiscovererInfo* info = NULL;
		GstDiscoverer* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		GstDiscovererInfo* _tmp3_ = NULL;
		GstDiscovererInfo* _tmp4_ = NULL;
		GList* _tmp5_ = NULL;
#line 61 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp0_ = gst_discoverer_new ((GstClockTime) (10 * GST_SECOND), &_inner_error_);
#line 61 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		discoverer = _tmp0_;
#line 61 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 355 "MediaPlayer.c"
			goto __catch59_g_error;
		}
#line 62 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp1_ = discoverer;
#line 62 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp2_ = self->priv->m_URL;
#line 62 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp3_ = gst_discoverer_discover_uri (_tmp1_, _tmp2_, &_inner_error_);
#line 62 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		info = _tmp3_;
#line 62 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 62 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_object_unref0 (discoverer);
#line 370 "MediaPlayer.c"
			goto __catch59_g_error;
		}
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp4_ = info;
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp5_ = gst_discoverer_info_get_stream_list (_tmp4_);
#line 377 "MediaPlayer.c"
		{
			GList* i_collection = NULL;
			GList* i_it = NULL;
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			i_collection = _tmp5_;
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			for (i_it = i_collection; i_it != NULL; i_it = i_it->next) {
#line 385 "MediaPlayer.c"
				GstDiscovererStreamInfo* _tmp6_ = NULL;
				GstDiscovererStreamInfo* i = NULL;
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
				_tmp6_ = _g_object_ref0 ((GstDiscovererStreamInfo*) i_it->data);
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
				i = _tmp6_;
#line 392 "MediaPlayer.c"
				{
					GstDiscovererStreamInfo* _tmp7_ = NULL;
#line 66 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp7_ = i;
#line 66 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp7_, gst_discoverer_video_info_get_type ())) {
#line 399 "MediaPlayer.c"
						GstDiscovererVideoInfo* v = NULL;
						GstDiscovererStreamInfo* _tmp8_ = NULL;
						GstDiscovererVideoInfo* _tmp9_ = NULL;
						GstDiscovererVideoInfo* _tmp10_ = NULL;
						guint _tmp11_ = 0U;
						GstDiscovererVideoInfo* _tmp12_ = NULL;
						guint _tmp13_ = 0U;
#line 68 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
						_tmp8_ = i;
#line 68 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
						_tmp9_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, gst_discoverer_video_info_get_type (), GstDiscovererVideoInfo));
#line 68 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
						v = _tmp9_;
#line 69 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
						_tmp10_ = v;
#line 69 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
						_tmp11_ = gst_discoverer_video_info_get_width (_tmp10_);
#line 69 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
						_tmp12_ = v;
#line 69 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
						_tmp13_ = gst_discoverer_video_info_get_height (_tmp12_);
#line 69 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
						self->priv->m_aspectRatio = ((gdouble) _tmp11_) / ((gdouble) _tmp13_);
#line 70 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
						self->priv->m_type = FEED_READER_MEDIA_TYPE_VIDEO;
#line 66 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
						_g_object_unref0 (v);
#line 427 "MediaPlayer.c"
					}
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_g_object_unref0 (i);
#line 431 "MediaPlayer.c"
				}
			}
#line 64 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			__g_list_free__g_object_unref0_0 (i_collection);
#line 436 "MediaPlayer.c"
		}
#line 59 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_object_unref0 (info);
#line 59 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_object_unref0 (discoverer);
#line 442 "MediaPlayer.c"
	}
	goto __finally59;
	__catch59_g_error:
	{
		GError* e = NULL;
		GError* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
#line 59 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		e = _inner_error_;
#line 59 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_inner_error_ = NULL;
#line 76 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp14_ = e;
#line 76 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp15_ = _tmp14_->message;
#line 76 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp16_ = g_strconcat ("Unable discover_uri: ", _tmp15_, NULL);
#line 76 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp17_ = _tmp16_;
#line 76 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		feed_reader_logger_error (_tmp17_);
#line 76 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (_tmp17_);
#line 59 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_error_free0 (e);
#line 470 "MediaPlayer.c"
	}
	__finally59:
#line 59 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 59 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 59 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_clear_error (&_inner_error_);
#line 59 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		return NULL;
#line 481 "MediaPlayer.c"
	}
#line 78 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp18_ = _data29_->callback;
#line 78 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp18__target = _data29_->callback_target;
#line 78 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp18__target_destroy_notify = _data29_->callback_target_destroy_notify;
#line 78 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data29_->callback_target_destroy_notify = NULL;
#line 78 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_idle_add_full (G_PRIORITY_HIGH_IDLE, _tmp18_, _tmp18__target, _tmp18__target_destroy_notify);
#line 79 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	result = NULL;
#line 79 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return result;
#line 497 "MediaPlayer.c"
}


static gpointer ___lambda57__gthread_func (gpointer self) {
	gpointer result;
	result = __lambda57_ (self);
#line 58 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	block29_data_unref (self);
#line 58 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return result;
#line 508 "MediaPlayer.c"
}


static gboolean feed_reader_media_player_inspectMedia_co (feed_reader_media_player_inspectMediaData* _data_) {
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	switch (_data_->_state_) {
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case 0:
#line 517 "MediaPlayer.c"
		goto _state_0;
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case 1:
#line 521 "MediaPlayer.c"
		goto _state_1;
		default:
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_assert_not_reached ();
#line 526 "MediaPlayer.c"
	}
	_state_0:
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_data29_ = g_slice_new0 (Block29Data);
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_data29_->_ref_count_ = 1;
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_data29_->self = g_object_ref (_data_->self);
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_data29_->_async_data_ = _data_;
#line 56 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_data29_->callback = _feed_reader_media_player_inspectMedia_co_gsource_func;
#line 56 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_data29_->callback_target = _data_;
#line 56 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_data29_->callback_target_destroy_notify = NULL;
#line 58 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->run_target = NULL;
#line 58 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->run_target_destroy_notify = NULL;
#line 58 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->run = ___lambda57__gthread_func;
#line 58 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->run_target = block29_data_ref (_data_->_data29_);
#line 58 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->run_target_destroy_notify = block29_data_unref;
#line 82 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_tmp0_ = NULL;
#line 82 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_tmp0_ = g_thread_new ("inspectMedia", _data_->run, _data_->run_target);
#line 82 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_tmp1_ = NULL;
#line 82 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_tmp1_ = _data_->_tmp0_;
#line 82 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_thread_unref0 (_data_->_tmp1_);
#line 83 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_state_ = 1;
#line 83 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return FALSE;
#line 567 "MediaPlayer.c"
	_state_1:
	;
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	block29_data_unref (_data_->_data29_);
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_data_->_data29_ = NULL;
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_data_->_state_ == 0) {
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 578 "MediaPlayer.c"
	} else {
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 582 "MediaPlayer.c"
	}
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_unref (_data_->_async_result);
#line 54 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return FALSE;
#line 588 "MediaPlayer.c"
}


static void _feed_reader_media_player_onAllocation_gtk_widget_size_allocate (GtkWidget* _sender, GtkAllocation* allocation, gpointer self) {
#line 93 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_onAllocation ((FeedReaderMediaPlayer*) self, allocation);
#line 595 "MediaPlayer.c"
}


static gboolean _feed_reader_media_player_busCallback_gst_bus_func (GstBus* bus, GstMessage* message, gpointer self) {
	gboolean result;
	result = feed_reader_media_player_busCallback ((FeedReaderMediaPlayer*) self, bus, message);
#line 101 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return result;
#line 604 "MediaPlayer.c"
}


static gboolean __lambda59_ (FeedReaderMediaPlayer* self) {
	gboolean result = FALSE;
	GstState state = 0;
	GstState pending = 0;
	GstElement* _tmp0_ = NULL;
	GstState _tmp1_ = 0;
	GstState _tmp2_ = 0;
	GstState _tmp3_ = 0;
#line 106 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = self->priv->m_player;
#line 106 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gst_element_get_state (_tmp0_, &_tmp1_, &_tmp2_, (GstClockTime) 1000);
#line 106 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	state = _tmp1_;
#line 106 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	pending = _tmp2_;
#line 107 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp3_ = state;
#line 107 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp3_ == GST_STATE_PLAYING) {
#line 628 "MediaPlayer.c"
		gint64 pos = 0LL;
		gint64 dur = 0LL;
		GstElement* _tmp4_ = NULL;
		gint64 _tmp5_ = 0LL;
		GstElement* _tmp6_ = NULL;
		gint64 _tmp7_ = 0LL;
		gdouble position = 0.0;
		gint64 _tmp8_ = 0LL;
		gdouble duration = 0.0;
		gint64 _tmp9_ = 0LL;
		gdouble percent = 0.0;
		gdouble _tmp10_ = 0.0;
		gdouble _tmp11_ = 0.0;
		guint _tmp12_ = 0U;
#line 111 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp4_ = self->priv->m_player;
#line 111 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		gst_element_query_position (_tmp4_, GST_FORMAT_TIME, &_tmp5_);
#line 111 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		pos = _tmp5_;
#line 112 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp6_ = self->priv->m_player;
#line 112 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		gst_element_query_duration (_tmp6_, GST_FORMAT_TIME, &_tmp7_);
#line 112 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		dur = _tmp7_;
#line 113 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp8_ = pos;
#line 113 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		position = ((gdouble) _tmp8_) / 1000000000;
#line 114 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp9_ = dur;
#line 114 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		duration = ((gdouble) _tmp9_) / 1000000000;
#line 115 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp10_ = position;
#line 115 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp11_ = duration;
#line 115 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		percent = (_tmp10_ * 100.0) / _tmp11_;
#line 116 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp12_ = self->priv->m_seek_source_id;
#line 116 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		if (_tmp12_ == ((guint) 0)) {
#line 673 "MediaPlayer.c"
			GtkScale* _tmp13_ = NULL;
			gdouble _tmp14_ = 0.0;
#line 117 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp13_ = self->priv->m_scale;
#line 117 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp14_ = percent;
#line 117 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gtk_range_set_value ((GtkRange*) _tmp13_, _tmp14_);
#line 682 "MediaPlayer.c"
		}
#line 118 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		feed_reader_media_player_calcTime (self);
#line 686 "MediaPlayer.c"
	}
#line 120 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	result = TRUE;
#line 120 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return result;
#line 692 "MediaPlayer.c"
}


static gboolean ___lambda59__gsource_func (gpointer self) {
	gboolean result;
	result = __lambda59_ ((FeedReaderMediaPlayer*) self);
#line 103 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return result;
#line 701 "MediaPlayer.c"
}


static void _feed_reader_media_player_togglePause_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 131 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_togglePause ((FeedReaderMediaPlayer*) self);
#line 708 "MediaPlayer.c"
}


static void _feed_reader_media_player_toggleMute_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 146 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_toggleMute ((FeedReaderMediaPlayer*) self);
#line 715 "MediaPlayer.c"
}


static void __lambda60_ (FeedReaderMediaPlayer* self) {
#line 154 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_kill (self);
#line 722 "MediaPlayer.c"
}


static void ___lambda60__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 153 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	__lambda60_ ((FeedReaderMediaPlayer*) self);
#line 729 "MediaPlayer.c"
}


static gboolean _feed_reader_media_player_valueChanged_gtk_range_change_value (GtkRange* _sender, GtkScrollType scroll, gdouble new_value, gpointer self) {
	gboolean result;
	result = feed_reader_media_player_valueChanged ((FeedReaderMediaPlayer*) self, scroll, new_value);
#line 164 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return result;
#line 738 "MediaPlayer.c"
}


static void _feed_reader_media_player_switchDisplay_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 169 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_switchDisplay ((FeedReaderMediaPlayer*) self);
#line 745 "MediaPlayer.c"
}


static void feed_reader_media_player_buildUI (FeedReaderMediaPlayer* self) {
	GstElement* gtksink = NULL;
	GstElement* _tmp0_ = NULL;
	GstElement* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	GtkWidget* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	GtkWidget* _tmp6_ = NULL;
	gint _tmp7_ = 0;
	GtkWidget* _tmp8_ = NULL;
	GstElement* _tmp9_ = NULL;
	GstElement* _tmp10_ = NULL;
	GstElement* _tmp11_ = NULL;
	GstElement* _tmp12_ = NULL;
	GstElement* _tmp13_ = NULL;
	const gchar* _tmp14_ = NULL;
	GstBus* bus = NULL;
	GstElement* _tmp15_ = NULL;
	GstBus* _tmp16_ = NULL;
	GstBus* _tmp17_ = NULL;
	GtkImage* _tmp18_ = NULL;
	GtkImage* _tmp19_ = NULL;
	GtkImage* _tmp20_ = NULL;
	GtkImage* _tmp21_ = NULL;
	GtkImage* _tmp22_ = NULL;
	GtkButton* _tmp23_ = NULL;
	GtkButton* _tmp24_ = NULL;
	GtkImage* _tmp25_ = NULL;
	GtkButton* _tmp26_ = NULL;
	GtkButton* _tmp27_ = NULL;
	GtkButton* _tmp28_ = NULL;
	GtkButton* _tmp29_ = NULL;
	GtkButton* _tmp30_ = NULL;
	GtkSpinner* _tmp31_ = NULL;
	GtkStack* _tmp32_ = NULL;
	GtkStack* _tmp33_ = NULL;
	GtkButton* _tmp34_ = NULL;
	GtkStack* _tmp35_ = NULL;
	GtkSpinner* _tmp36_ = NULL;
	GtkStack* _tmp37_ = NULL;
	GtkButton* _tmp38_ = NULL;
	GtkButton* _tmp39_ = NULL;
	GtkImage* _tmp40_ = NULL;
	GtkButton* _tmp41_ = NULL;
	GtkButton* _tmp42_ = NULL;
	GtkButton* _tmp43_ = NULL;
	GtkButton* _tmp44_ = NULL;
	GtkButton* _tmp45_ = NULL;
	GtkButton* _tmp46_ = NULL;
	GtkButton* _tmp47_ = NULL;
	GtkImage* _tmp48_ = NULL;
	GtkButton* _tmp49_ = NULL;
	GtkButton* _tmp50_ = NULL;
	GtkButton* _tmp51_ = NULL;
	GtkButton* _tmp52_ = NULL;
	GtkButton* _tmp53_ = NULL;
	GtkScale* _tmp54_ = NULL;
	GtkScale* _tmp55_ = NULL;
	GtkScale* _tmp56_ = NULL;
	GtkScale* _tmp57_ = NULL;
	GtkButton* _tmp58_ = NULL;
	GtkButton* _tmp59_ = NULL;
	GtkButton* _tmp60_ = NULL;
	GtkStyleContext* _tmp61_ = NULL;
	GtkButton* _tmp62_ = NULL;
	GtkButton* _tmp63_ = NULL;
	GtkButton* _tmp64_ = NULL;
	GtkButton* _tmp65_ = NULL;
	GtkBox* hBox = NULL;
	GtkBox* _tmp66_ = NULL;
	GtkBox* _tmp67_ = NULL;
	gint _tmp68_ = 0;
	GtkBox* _tmp69_ = NULL;
	GtkStack* _tmp70_ = NULL;
	GtkBox* _tmp71_ = NULL;
	GtkButton* _tmp72_ = NULL;
	GtkBox* _tmp73_ = NULL;
	GtkScale* _tmp74_ = NULL;
	GtkBox* _tmp75_ = NULL;
	GtkButton* _tmp76_ = NULL;
	GtkBox* _tmp77_ = NULL;
	GtkButton* _tmp78_ = NULL;
	GtkLabel* _tmp79_ = NULL;
	GtkLabel* _tmp80_ = NULL;
	GtkLabel* _tmp81_ = NULL;
	GtkLabel* _tmp82_ = NULL;
	GtkLabel* _tmp83_ = NULL;
	GtkOverlay* bufferOverlay = NULL;
	GtkOverlay* _tmp84_ = NULL;
	GtkOverlay* _tmp85_ = NULL;
	GtkWidget* _tmp86_ = NULL;
	GtkOverlay* _tmp87_ = NULL;
	GtkLabel* _tmp88_ = NULL;
	GtkStyleContext* _tmp89_ = NULL;
	FeedReaderMediaType _tmp90_ = 0;
	GtkBox* _tmp92_ = NULL;
#line 86 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_if_fail (self != NULL);
#line 88 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = gst_element_factory_make ("gtksink", "sink");
#line 88 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp0_ != NULL) {
#line 88 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_object_ref_sink (_tmp0_);
#line 854 "MediaPlayer.c"
	}
#line 88 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtksink = _tmp0_;
#line 89 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp1_ = gtksink;
#line 89 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_get ((GObject*) _tmp1_, "widget", &self->priv->m_videoWidget, NULL);
#line 90 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp2_ = self->priv->m_videoWidget;
#line 90 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp3_ = self->priv->m_margin;
#line 90 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_margin_start (_tmp2_, _tmp3_);
#line 91 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp4_ = self->priv->m_videoWidget;
#line 91 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp5_ = self->priv->m_margin;
#line 91 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_margin_end (_tmp4_, _tmp5_);
#line 92 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp6_ = self->priv->m_videoWidget;
#line 92 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp7_ = self->priv->m_margin;
#line 92 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_margin_top (_tmp6_, _tmp7_);
#line 93 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp8_ = self->priv->m_videoWidget;
#line 93 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_signal_connect_object (_tmp8_, "size-allocate", (GCallback) _feed_reader_media_player_onAllocation_gtk_widget_size_allocate, self, 0);
#line 95 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp9_ = gst_element_factory_make ("playbin", "player");
#line 95 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp9_ != NULL) {
#line 95 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_object_ref_sink (_tmp9_);
#line 890 "MediaPlayer.c"
	}
#line 95 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_player);
#line 95 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_player = _tmp9_;
#line 96 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp10_ = self->priv->m_player;
#line 96 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp11_ = gtksink;
#line 96 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_set ((GObject*) _tmp10_, "video_sink", _tmp11_, NULL);
#line 97 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp12_ = self->priv->m_player;
#line 97 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_set ((GObject*) _tmp12_, "volume", 1.0, NULL);
#line 98 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp13_ = self->priv->m_player;
#line 98 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp14_ = self->priv->m_URL;
#line 98 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_set ((GObject*) _tmp13_, "uri", _tmp14_, NULL);
#line 100 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp15_ = self->priv->m_player;
#line 100 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp16_ = gst_element_get_bus (_tmp15_);
#line 100 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	bus = _tmp16_;
#line 101 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp17_ = bus;
#line 101 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gst_bus_add_watch_full (_tmp17_, G_PRIORITY_LOW, _feed_reader_media_player_busCallback_gst_bus_func, g_object_ref (self), g_object_unref);
#line 103 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_timeout_add_full (G_PRIORITY_LOW, (guint) 500, ___lambda59__gsource_func, g_object_ref (self), g_object_unref);
#line 123 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp18_ = (GtkImage*) gtk_image_new_from_icon_name ("media-playback-start-symbolic", GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 123 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp18_);
#line 123 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_playIcon);
#line 123 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_playIcon = _tmp18_;
#line 124 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp19_ = (GtkImage*) gtk_image_new_from_icon_name ("media-playback-pause-symbolic", GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 124 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp19_);
#line 124 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_pauseIcon);
#line 124 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_pauseIcon = _tmp19_;
#line 125 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp20_ = (GtkImage*) gtk_image_new_from_icon_name ("audio-volume-muted-symbolic", GTK_ICON_SIZE_DND);
#line 125 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp20_);
#line 125 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_muteIcon);
#line 125 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_muteIcon = _tmp20_;
#line 126 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp21_ = (GtkImage*) gtk_image_new_from_icon_name ("audio-volume-high-symbolic", GTK_ICON_SIZE_DND);
#line 126 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp21_);
#line 126 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_noiseIcon);
#line 126 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_noiseIcon = _tmp21_;
#line 127 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp22_ = (GtkImage*) gtk_image_new_from_icon_name ("window-close-symbolic", GTK_ICON_SIZE_SMALL_TOOLBAR);
#line 127 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp22_);
#line 127 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_closeIcon);
#line 127 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_closeIcon = _tmp22_;
#line 129 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp23_ = (GtkButton*) gtk_button_new ();
#line 129 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp23_);
#line 129 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_playButton);
#line 129 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_playButton = _tmp23_;
#line 130 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp24_ = self->priv->m_playButton;
#line 130 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp25_ = self->priv->m_playIcon;
#line 130 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_button_set_image (_tmp24_, (GtkWidget*) _tmp25_);
#line 131 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp26_ = self->priv->m_playButton;
#line 131 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_signal_connect_object (_tmp26_, "clicked", (GCallback) _feed_reader_media_player_togglePause_gtk_button_clicked, self, 0);
#line 132 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp27_ = self->priv->m_playButton;
#line 132 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp27_, FEED_READER_MEDIA_BUTTON_PLAY);
#line 133 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp28_ = self->priv->m_playButton;
#line 133 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp28_, GTK_ALIGN_CENTER);
#line 134 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp29_ = self->priv->m_playButton;
#line 134 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp29_, GTK_ALIGN_CENTER);
#line 135 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp30_ = self->priv->m_playButton;
#line 135 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp30_, 48, 48);
#line 137 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp31_ = (GtkSpinner*) gtk_spinner_new ();
#line 137 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp31_);
#line 137 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_playSpinner);
#line 137 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_playSpinner = _tmp31_;
#line 138 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp32_ = (GtkStack*) gtk_stack_new ();
#line 138 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp32_);
#line 138 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_playStack);
#line 138 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_playStack = _tmp32_;
#line 139 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp33_ = self->priv->m_playStack;
#line 139 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp34_ = self->priv->m_playButton;
#line 139 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_stack_add_named (_tmp33_, (GtkWidget*) _tmp34_, "button");
#line 140 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp35_ = self->priv->m_playStack;
#line 140 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp36_ = self->priv->m_playSpinner;
#line 140 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_stack_add_named (_tmp35_, (GtkWidget*) _tmp36_, "spinner");
#line 141 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp37_ = self->priv->m_playStack;
#line 141 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_stack_set_visible_child_name (_tmp37_, "button");
#line 143 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp38_ = (GtkButton*) gtk_button_new ();
#line 143 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp38_);
#line 143 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_muteButton);
#line 143 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_muteButton = _tmp38_;
#line 144 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp39_ = self->priv->m_muteButton;
#line 144 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp40_ = self->priv->m_noiseIcon;
#line 144 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_button_set_image (_tmp39_, (GtkWidget*) _tmp40_);
#line 145 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp41_ = self->priv->m_muteButton;
#line 145 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp41_, FEED_READER_MEDIA_BUTTON_MUTE);
#line 146 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp42_ = self->priv->m_muteButton;
#line 146 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_signal_connect_object (_tmp42_, "clicked", (GCallback) _feed_reader_media_player_toggleMute_gtk_button_clicked, self, 0);
#line 147 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp43_ = self->priv->m_muteButton;
#line 147 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp43_, GTK_ALIGN_CENTER);
#line 148 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp44_ = self->priv->m_muteButton;
#line 148 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp44_, GTK_ALIGN_CENTER);
#line 149 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp45_ = self->priv->m_muteButton;
#line 149 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp45_, 48, 48);
#line 151 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp46_ = (GtkButton*) gtk_button_new ();
#line 151 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp46_);
#line 151 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_closeButton);
#line 151 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_closeButton = _tmp46_;
#line 152 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp47_ = self->priv->m_closeButton;
#line 152 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp48_ = self->priv->m_closeIcon;
#line 152 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_button_set_image (_tmp47_, (GtkWidget*) _tmp48_);
#line 153 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp49_ = self->priv->m_closeButton;
#line 153 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_signal_connect_object (_tmp49_, "clicked", (GCallback) ___lambda60__gtk_button_clicked, self, 0);
#line 156 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp50_ = self->priv->m_closeButton;
#line 156 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp50_, FEED_READER_MEDIA_BUTTON_CLOSE);
#line 157 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp51_ = self->priv->m_closeButton;
#line 157 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp51_, GTK_ALIGN_CENTER);
#line 158 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp52_ = self->priv->m_closeButton;
#line 158 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp52_, GTK_ALIGN_CENTER);
#line 159 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp53_ = self->priv->m_closeButton;
#line 159 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp53_, 48, 48);
#line 161 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp54_ = (GtkScale*) gtk_scale_new_with_range (GTK_ORIENTATION_HORIZONTAL, 0.0, 100.0, 5.0);
#line 161 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp54_);
#line 161 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_scale);
#line 161 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_scale = _tmp54_;
#line 162 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp55_ = self->priv->m_scale;
#line 162 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_scale_set_draw_value (_tmp55_, FALSE);
#line 163 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp56_ = self->priv->m_scale;
#line 163 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp56_, 200, 48);
#line 164 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp57_ = self->priv->m_scale;
#line 164 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_signal_connect_object ((GtkRange*) _tmp57_, "change-value", (GCallback) _feed_reader_media_player_valueChanged_gtk_range_change_value, self, 0);
#line 166 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp58_ = (GtkButton*) gtk_button_new_with_label ("00:00");
#line 166 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp58_);
#line 166 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_labelButton);
#line 166 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_labelButton = _tmp58_;
#line 167 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp59_ = self->priv->m_labelButton;
#line 167 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_button_set_relief (_tmp59_, GTK_RELIEF_NONE);
#line 168 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp60_ = self->priv->m_labelButton;
#line 168 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp61_ = gtk_widget_get_style_context ((GtkWidget*) _tmp60_);
#line 168 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_style_context_add_class (_tmp61_, "h3");
#line 169 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp62_ = self->priv->m_labelButton;
#line 169 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_signal_connect_object (_tmp62_, "clicked", (GCallback) _feed_reader_media_player_switchDisplay_gtk_button_clicked, self, 0);
#line 170 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp63_ = self->priv->m_labelButton;
#line 170 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp63_, GTK_ALIGN_CENTER);
#line 171 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp64_ = self->priv->m_labelButton;
#line 171 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp64_, GTK_ALIGN_CENTER);
#line 172 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp65_ = self->priv->m_labelButton;
#line 172 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp65_, 48, 48);
#line 174 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp66_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 10);
#line 174 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp66_);
#line 174 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	hBox = _tmp66_;
#line 175 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp67_ = hBox;
#line 175 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp68_ = self->priv->m_margin;
#line 175 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_set ((GtkWidget*) _tmp67_, "margin", _tmp68_, NULL);
#line 176 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp69_ = hBox;
#line 176 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp70_ = self->priv->m_playStack;
#line 176 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_box_pack_start (_tmp69_, (GtkWidget*) _tmp70_, FALSE, FALSE, (guint) 0);
#line 177 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp71_ = hBox;
#line 177 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp72_ = self->priv->m_muteButton;
#line 177 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_box_pack_start (_tmp71_, (GtkWidget*) _tmp72_, FALSE, FALSE, (guint) 0);
#line 178 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp73_ = hBox;
#line 178 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp74_ = self->priv->m_scale;
#line 178 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_box_pack_start (_tmp73_, (GtkWidget*) _tmp74_, TRUE, TRUE, (guint) 0);
#line 179 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp75_ = hBox;
#line 179 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp76_ = self->priv->m_labelButton;
#line 179 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_box_pack_start (_tmp75_, (GtkWidget*) _tmp76_, FALSE, FALSE, (guint) 0);
#line 180 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp77_ = hBox;
#line 180 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp78_ = self->priv->m_closeButton;
#line 180 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_box_pack_start (_tmp77_, (GtkWidget*) _tmp78_, FALSE, FALSE, (guint) 0);
#line 182 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp79_ = (GtkLabel*) gtk_label_new ("0%");
#line 182 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp79_);
#line 182 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_bufferLabel);
#line 182 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_bufferLabel = _tmp79_;
#line 183 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp80_ = self->priv->m_bufferLabel;
#line 183 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp80_, GTK_ALIGN_CENTER);
#line 184 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp81_ = self->priv->m_bufferLabel;
#line 184 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp81_, GTK_ALIGN_CENTER);
#line 185 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp82_ = self->priv->m_bufferLabel;
#line 185 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp82_, 48, 48);
#line 186 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp83_ = self->priv->m_bufferLabel;
#line 186 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp83_, TRUE);
#line 188 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp84_ = (GtkOverlay*) gtk_overlay_new ();
#line 188 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_ref_sink (_tmp84_);
#line 188 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	bufferOverlay = _tmp84_;
#line 189 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp85_ = bufferOverlay;
#line 189 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp86_ = self->priv->m_videoWidget;
#line 189 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_container_add ((GtkContainer*) _tmp85_, _tmp86_);
#line 190 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp87_ = bufferOverlay;
#line 190 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp88_ = self->priv->m_bufferLabel;
#line 190 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_overlay_add_overlay (_tmp87_, (GtkWidget*) _tmp88_);
#line 192 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_VERTICAL);
#line 193 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp89_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 193 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_style_context_add_class (_tmp89_, "osd");
#line 194 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_object_set ((GtkWidget*) self, "margin", 40, NULL);
#line 195 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp90_ = self->priv->m_type;
#line 195 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp90_ == FEED_READER_MEDIA_TYPE_VIDEO) {
#line 1248 "MediaPlayer.c"
		GtkOverlay* _tmp91_ = NULL;
#line 196 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp91_ = bufferOverlay;
#line 196 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp91_, TRUE, TRUE, (guint) 0);
#line 1254 "MediaPlayer.c"
	}
#line 197 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp92_ = hBox;
#line 197 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_box_pack_start ((GtkBox*) self, (GtkWidget*) _tmp92_, FALSE, FALSE, (guint) 0);
#line 198 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_set_valign ((GtkWidget*) self, GTK_ALIGN_END);
#line 199 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 86 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (bufferOverlay);
#line 86 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (hBox);
#line 86 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (bus);
#line 86 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (gtksink);
#line 1272 "MediaPlayer.c"
}


static void feed_reader_media_player_togglePause (FeedReaderMediaPlayer* self) {
	GstState state = 0;
	GstState pending = 0;
	GstElement* _tmp0_ = NULL;
	GstState _tmp1_ = 0;
	GstState _tmp2_ = 0;
	GstState _tmp3_ = 0;
	gboolean _tmp12_ = FALSE;
#line 202 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_if_fail (self != NULL);
#line 206 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = self->priv->m_player;
#line 206 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gst_element_get_state (_tmp0_, &_tmp1_, &_tmp2_, (GstClockTime) 1000);
#line 206 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	state = _tmp1_;
#line 206 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	pending = _tmp2_;
#line 208 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp3_ = state;
#line 208 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	switch (_tmp3_) {
#line 208 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case GST_STATE_PLAYING:
#line 1300 "MediaPlayer.c"
		{
			GtkButton* _tmp4_ = NULL;
			GtkImage* _tmp5_ = NULL;
			GtkButton* _tmp6_ = NULL;
			GstElement* _tmp7_ = NULL;
#line 211 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp4_ = self->priv->m_playButton;
#line 211 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp5_ = self->priv->m_playIcon;
#line 211 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gtk_button_set_image (_tmp4_, (GtkWidget*) _tmp5_);
#line 212 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp6_ = self->priv->m_playButton;
#line 212 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gtk_widget_set_tooltip_text ((GtkWidget*) _tmp6_, FEED_READER_MEDIA_BUTTON_PLAY);
#line 213 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp7_ = self->priv->m_player;
#line 213 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gst_element_set_state (_tmp7_, GST_STATE_PAUSED);
#line 214 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 1322 "MediaPlayer.c"
		}
		default:
#line 208 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case GST_STATE_PAUSED:
#line 208 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case GST_STATE_READY:
#line 1329 "MediaPlayer.c"
		{
			GtkButton* _tmp8_ = NULL;
			GtkImage* _tmp9_ = NULL;
			GtkButton* _tmp10_ = NULL;
			GstElement* _tmp11_ = NULL;
#line 219 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp8_ = self->priv->m_playButton;
#line 219 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp9_ = self->priv->m_pauseIcon;
#line 219 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gtk_button_set_image (_tmp8_, (GtkWidget*) _tmp9_);
#line 220 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp10_ = self->priv->m_playButton;
#line 220 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gtk_widget_set_tooltip_text ((GtkWidget*) _tmp10_, FEED_READER_MEDIA_BUTTON_PAUSE);
#line 221 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp11_ = self->priv->m_player;
#line 221 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gst_element_set_state (_tmp11_, GST_STATE_PLAYING);
#line 222 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 1351 "MediaPlayer.c"
		}
	}
#line 225 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp12_ = self->priv->m_muted;
#line 225 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp12_) {
#line 1358 "MediaPlayer.c"
		GstElement* _tmp13_ = NULL;
#line 226 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp13_ = self->priv->m_player;
#line 226 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_object_set ((GObject*) _tmp13_, "volume", 0.0, NULL);
#line 1364 "MediaPlayer.c"
	} else {
		GstElement* _tmp14_ = NULL;
#line 228 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp14_ = self->priv->m_player;
#line 228 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_object_set ((GObject*) _tmp14_, "volume", 1.0, NULL);
#line 1371 "MediaPlayer.c"
	}
}


static void feed_reader_media_player_switchDisplay (FeedReaderMediaPlayer* self) {
	FeedReaderDisplayPosition _tmp0_ = 0;
#line 231 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_if_fail (self != NULL);
#line 233 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = self->priv->m_display;
#line 233 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	switch (_tmp0_) {
#line 233 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case FEED_READER_DISPLAY_POSITION_ALL:
#line 1386 "MediaPlayer.c"
		{
#line 236 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			self->priv->m_display = FEED_READER_DISPLAY_POSITION_POS;
#line 237 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 1392 "MediaPlayer.c"
		}
#line 233 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case FEED_READER_DISPLAY_POSITION_POS:
#line 1396 "MediaPlayer.c"
		{
#line 240 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			self->priv->m_display = FEED_READER_DISPLAY_POSITION_LEFT;
#line 241 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 1402 "MediaPlayer.c"
		}
#line 233 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case FEED_READER_DISPLAY_POSITION_LEFT:
#line 1406 "MediaPlayer.c"
		{
#line 244 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			self->priv->m_display = FEED_READER_DISPLAY_POSITION_ALL;
#line 245 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 1412 "MediaPlayer.c"
		}
		default:
#line 233 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		break;
#line 1417 "MediaPlayer.c"
	}
#line 247 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_calcTime (self);
#line 1421 "MediaPlayer.c"
}


static gdouble* _double_dup (gdouble* self) {
	gdouble* dup;
#line 261 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	dup = g_new0 (gdouble, 1);
#line 261 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	memcpy (dup, self, sizeof (gdouble));
#line 261 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return dup;
#line 1433 "MediaPlayer.c"
}


static gpointer __double_dup0 (gpointer self) {
#line 261 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return self ? _double_dup (self) : NULL;
#line 1440 "MediaPlayer.c"
}


static void feed_reader_media_player_calcTime (FeedReaderMediaPlayer* self) {
	gint64 pos = 0LL;
	gint64 dur = 0LL;
	GstElement* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
	GstElement* _tmp2_ = NULL;
	gint64 _tmp3_ = 0LL;
	gdouble position = 0.0;
	gint64 _tmp4_ = 0LL;
	gdouble duration = 0.0;
	gint64 _tmp5_ = 0LL;
	gdouble* sd = NULL;
	gdouble _tmp6_ = 0.0;
	gdouble* _tmp7_ = NULL;
	gdouble* md = NULL;
	gdouble* hd = NULL;
	gdouble* _tmp8_ = NULL;
	gdouble* sp = NULL;
	gdouble _tmp24_ = 0.0;
	gdouble* _tmp25_ = NULL;
	gdouble* mp = NULL;
	gdouble* hp = NULL;
	gdouble* _tmp26_ = NULL;
	gdouble* sr = NULL;
	gdouble _tmp42_ = 0.0;
	gdouble _tmp43_ = 0.0;
	gdouble _tmp44_ = 0.0;
	gdouble* _tmp45_ = NULL;
	gdouble* mr = NULL;
	gdouble* hr = NULL;
	gdouble* _tmp46_ = NULL;
	gchar* pLabel = NULL;
	gchar* _tmp62_ = NULL;
	const gchar* _tmp63_ = NULL;
	gdouble* _tmp64_ = NULL;
	const gchar* _tmp71_ = NULL;
	gdouble* _tmp72_ = NULL;
	const gchar* _tmp79_ = NULL;
	gdouble* _tmp80_ = NULL;
	const gchar* _tmp87_ = NULL;
	gdouble* _tmp88_ = NULL;
	gchar* _tmp89_ = NULL;
	gchar* _tmp90_ = NULL;
	gchar* _tmp91_ = NULL;
	gchar* dLabel = NULL;
	gchar* _tmp92_ = NULL;
	const gchar* _tmp93_ = NULL;
	gdouble* _tmp94_ = NULL;
	const gchar* _tmp101_ = NULL;
	gdouble* _tmp102_ = NULL;
	const gchar* _tmp109_ = NULL;
	gdouble* _tmp110_ = NULL;
	const gchar* _tmp117_ = NULL;
	gdouble* _tmp118_ = NULL;
	gchar* _tmp119_ = NULL;
	gchar* _tmp120_ = NULL;
	gchar* _tmp121_ = NULL;
	gchar* rLabel = NULL;
	gchar* _tmp122_ = NULL;
	const gchar* _tmp123_ = NULL;
	gdouble* _tmp124_ = NULL;
	const gchar* _tmp131_ = NULL;
	gdouble* _tmp132_ = NULL;
	const gchar* _tmp139_ = NULL;
	gdouble* _tmp140_ = NULL;
	const gchar* _tmp147_ = NULL;
	gdouble* _tmp148_ = NULL;
	gchar* _tmp149_ = NULL;
	gchar* _tmp150_ = NULL;
	gchar* _tmp151_ = NULL;
	gint64 _tmp152_ = 0LL;
	FeedReaderDisplayPosition _tmp155_ = 0;
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_if_fail (self != NULL);
#line 254 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = self->priv->m_player;
#line 254 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gst_element_query_position (_tmp0_, GST_FORMAT_TIME, &_tmp1_);
#line 254 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	pos = _tmp1_;
#line 255 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp2_ = self->priv->m_player;
#line 255 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gst_element_query_duration (_tmp2_, GST_FORMAT_TIME, &_tmp3_);
#line 255 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	dur = _tmp3_;
#line 256 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp4_ = pos;
#line 256 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	position = (gdouble) ((gint) (((gdouble) _tmp4_) / 1000000000));
#line 257 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp5_ = dur;
#line 257 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	duration = (gdouble) ((gint) (((gdouble) _tmp5_) / 1000000000));
#line 261 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp6_ = duration;
#line 261 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp7_ = __double_dup0 (&_tmp6_);
#line 261 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	sd = _tmp7_;
#line 262 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	md = NULL;
#line 263 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	hd = NULL;
#line 265 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp8_ = sd;
#line 265 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (((gint) (*_tmp8_)) >= 60) {
#line 1552 "MediaPlayer.c"
		gdouble* _tmp9_ = NULL;
		gdouble _tmp10_ = 0.0;
		gdouble* _tmp11_ = NULL;
		gdouble* _tmp12_ = NULL;
		gdouble* _tmp13_ = NULL;
		gdouble _tmp14_ = 0.0;
		gdouble* _tmp15_ = NULL;
		gdouble* _tmp16_ = NULL;
#line 267 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp9_ = sd;
#line 267 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp10_ = (gdouble) ((gint) ((*_tmp9_) / 60));
#line 267 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp11_ = __double_dup0 (&_tmp10_);
#line 267 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (md);
#line 267 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		md = _tmp11_;
#line 268 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp12_ = sd;
#line 268 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp13_ = md;
#line 268 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp14_ = (*_tmp12_) - ((*_tmp13_) * 60);
#line 268 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp15_ = __double_dup0 (&_tmp14_);
#line 268 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (sd);
#line 268 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		sd = _tmp15_;
#line 270 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp16_ = md;
#line 270 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		if (((gint) (*_tmp16_)) >= 60) {
#line 1587 "MediaPlayer.c"
			gdouble* _tmp17_ = NULL;
			gdouble _tmp18_ = 0.0;
			gdouble* _tmp19_ = NULL;
			gdouble* _tmp20_ = NULL;
			gdouble* _tmp21_ = NULL;
			gdouble _tmp22_ = 0.0;
			gdouble* _tmp23_ = NULL;
#line 272 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp17_ = md;
#line 272 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp18_ = (gdouble) ((gint) ((*_tmp17_) / 60));
#line 272 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp19_ = __double_dup0 (&_tmp18_);
#line 272 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (hd);
#line 272 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			hd = _tmp19_;
#line 273 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp20_ = md;
#line 273 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp21_ = hd;
#line 273 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp22_ = (*_tmp20_) - ((*_tmp21_) * 60);
#line 273 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp23_ = __double_dup0 (&_tmp22_);
#line 273 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (md);
#line 273 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			md = _tmp23_;
#line 1617 "MediaPlayer.c"
		}
	}
#line 277 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp24_ = position;
#line 277 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp25_ = __double_dup0 (&_tmp24_);
#line 277 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	sp = _tmp25_;
#line 278 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	mp = NULL;
#line 279 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	hp = NULL;
#line 281 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp26_ = sp;
#line 281 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (((gint) (*_tmp26_)) >= 60) {
#line 1634 "MediaPlayer.c"
		gdouble* _tmp27_ = NULL;
		gdouble _tmp28_ = 0.0;
		gdouble* _tmp29_ = NULL;
		gdouble* _tmp30_ = NULL;
		gdouble* _tmp31_ = NULL;
		gdouble _tmp32_ = 0.0;
		gdouble* _tmp33_ = NULL;
		gdouble* _tmp34_ = NULL;
#line 283 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp27_ = sp;
#line 283 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp28_ = (gdouble) ((gint) ((*_tmp27_) / 60));
#line 283 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp29_ = __double_dup0 (&_tmp28_);
#line 283 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (mp);
#line 283 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		mp = _tmp29_;
#line 284 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp30_ = sp;
#line 284 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp31_ = mp;
#line 284 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp32_ = (*_tmp30_) - ((*_tmp31_) * 60);
#line 284 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp33_ = __double_dup0 (&_tmp32_);
#line 284 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (sp);
#line 284 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		sp = _tmp33_;
#line 286 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp34_ = mp;
#line 286 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		if (((gint) (*_tmp34_)) >= 60) {
#line 1669 "MediaPlayer.c"
			gdouble* _tmp35_ = NULL;
			gdouble _tmp36_ = 0.0;
			gdouble* _tmp37_ = NULL;
			gdouble* _tmp38_ = NULL;
			gdouble* _tmp39_ = NULL;
			gdouble _tmp40_ = 0.0;
			gdouble* _tmp41_ = NULL;
#line 288 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp35_ = mp;
#line 288 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp36_ = (gdouble) ((gint) ((*_tmp35_) / 60));
#line 288 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp37_ = __double_dup0 (&_tmp36_);
#line 288 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (hp);
#line 288 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			hp = _tmp37_;
#line 289 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp38_ = mp;
#line 289 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp39_ = hp;
#line 289 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp40_ = (*_tmp38_) - ((*_tmp39_) * 60);
#line 289 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp41_ = __double_dup0 (&_tmp40_);
#line 289 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (mp);
#line 289 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			mp = _tmp41_;
#line 1699 "MediaPlayer.c"
		}
	}
#line 293 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp42_ = duration;
#line 293 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp43_ = position;
#line 293 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp44_ = _tmp42_ - _tmp43_;
#line 293 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp45_ = __double_dup0 (&_tmp44_);
#line 293 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	sr = _tmp45_;
#line 294 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	mr = NULL;
#line 295 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	hr = NULL;
#line 297 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp46_ = sr;
#line 297 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (((gint) (*_tmp46_)) >= 60) {
#line 1720 "MediaPlayer.c"
		gdouble* _tmp47_ = NULL;
		gdouble _tmp48_ = 0.0;
		gdouble* _tmp49_ = NULL;
		gdouble* _tmp50_ = NULL;
		gdouble* _tmp51_ = NULL;
		gdouble _tmp52_ = 0.0;
		gdouble* _tmp53_ = NULL;
		gdouble* _tmp54_ = NULL;
#line 299 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp47_ = sr;
#line 299 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp48_ = (gdouble) ((gint) ((*_tmp47_) / 60));
#line 299 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp49_ = __double_dup0 (&_tmp48_);
#line 299 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (mr);
#line 299 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		mr = _tmp49_;
#line 300 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp50_ = sr;
#line 300 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp51_ = mr;
#line 300 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp52_ = (*_tmp50_) - ((*_tmp51_) * 60);
#line 300 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp53_ = __double_dup0 (&_tmp52_);
#line 300 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (sr);
#line 300 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		sr = _tmp53_;
#line 302 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp54_ = mr;
#line 302 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		if (((gint) (*_tmp54_)) >= 60) {
#line 1755 "MediaPlayer.c"
			gdouble* _tmp55_ = NULL;
			gdouble _tmp56_ = 0.0;
			gdouble* _tmp57_ = NULL;
			gdouble* _tmp58_ = NULL;
			gdouble* _tmp59_ = NULL;
			gdouble _tmp60_ = 0.0;
			gdouble* _tmp61_ = NULL;
#line 304 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp55_ = mr;
#line 304 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp56_ = (gdouble) ((gint) ((*_tmp55_) / 60));
#line 304 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp57_ = __double_dup0 (&_tmp56_);
#line 304 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (hr);
#line 304 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			hr = _tmp57_;
#line 305 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp58_ = mr;
#line 305 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp59_ = hr;
#line 305 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp60_ = (*_tmp58_) - ((*_tmp59_) * 60);
#line 305 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp61_ = __double_dup0 (&_tmp60_);
#line 305 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (mr);
#line 305 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			mr = _tmp61_;
#line 1785 "MediaPlayer.c"
		}
	}
#line 309 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp62_ = g_strdup ("");
#line 309 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	pLabel = _tmp62_;
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp64_ = hp;
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp64_ != NULL) {
#line 1796 "MediaPlayer.c"
		const gchar* _tmp65_ = NULL;
		gdouble* _tmp66_ = NULL;
		gchar* _tmp67_ = NULL;
		gchar* _tmp68_ = NULL;
		gchar* _tmp69_ = NULL;
		const gchar* _tmp70_ = NULL;
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp65_ = pLabel;
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp66_ = hp;
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp67_ = g_strdup_printf ("%02.0f:", *_tmp66_);
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp68_ = _tmp67_;
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp69_ = g_strconcat (_tmp65_, _tmp68_, NULL);
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (pLabel);
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		pLabel = _tmp69_;
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp70_ = pLabel;
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp63_ = _tmp70_;
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (_tmp68_);
#line 1823 "MediaPlayer.c"
	} else {
#line 310 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp63_ = NULL;
#line 1827 "MediaPlayer.c"
	}
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp72_ = mp;
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp72_ != NULL) {
#line 1833 "MediaPlayer.c"
		const gchar* _tmp73_ = NULL;
		gdouble* _tmp74_ = NULL;
		gchar* _tmp75_ = NULL;
		gchar* _tmp76_ = NULL;
		gchar* _tmp77_ = NULL;
		const gchar* _tmp78_ = NULL;
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp73_ = pLabel;
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp74_ = mp;
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp75_ = g_strdup_printf ("%02.0f", *_tmp74_);
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp76_ = _tmp75_;
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp77_ = g_strconcat (_tmp73_, _tmp76_, NULL);
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (pLabel);
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		pLabel = _tmp77_;
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp78_ = pLabel;
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp71_ = _tmp78_;
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (_tmp76_);
#line 1860 "MediaPlayer.c"
	} else {
#line 311 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp71_ = NULL;
#line 1864 "MediaPlayer.c"
	}
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp80_ = mp;
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp80_ != NULL) {
#line 1870 "MediaPlayer.c"
		const gchar* _tmp81_ = NULL;
		gchar* _tmp82_ = NULL;
		const gchar* _tmp83_ = NULL;
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp81_ = pLabel;
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp82_ = g_strconcat (_tmp81_, ":", NULL);
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (pLabel);
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		pLabel = _tmp82_;
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp83_ = pLabel;
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp79_ = _tmp83_;
#line 1886 "MediaPlayer.c"
	} else {
		const gchar* _tmp84_ = NULL;
		gchar* _tmp85_ = NULL;
		const gchar* _tmp86_ = NULL;
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp84_ = pLabel;
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp85_ = g_strconcat (_tmp84_, "0:", NULL);
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (pLabel);
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		pLabel = _tmp85_;
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp86_ = pLabel;
#line 312 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp79_ = _tmp86_;
#line 1903 "MediaPlayer.c"
	}
#line 313 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp87_ = pLabel;
#line 313 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp88_ = sp;
#line 313 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp89_ = g_strdup_printf ("%02.0f", *_tmp88_);
#line 313 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp90_ = _tmp89_;
#line 313 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp91_ = g_strconcat (_tmp87_, _tmp90_, NULL);
#line 313 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (pLabel);
#line 313 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	pLabel = _tmp91_;
#line 313 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (_tmp90_);
#line 315 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp92_ = g_strdup ("");
#line 315 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	dLabel = _tmp92_;
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp94_ = hd;
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp94_ != NULL) {
#line 1929 "MediaPlayer.c"
		const gchar* _tmp95_ = NULL;
		gdouble* _tmp96_ = NULL;
		gchar* _tmp97_ = NULL;
		gchar* _tmp98_ = NULL;
		gchar* _tmp99_ = NULL;
		const gchar* _tmp100_ = NULL;
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp95_ = dLabel;
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp96_ = hd;
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp97_ = g_strdup_printf ("%02.0f:", *_tmp96_);
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp98_ = _tmp97_;
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp99_ = g_strconcat (_tmp95_, _tmp98_, NULL);
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (dLabel);
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		dLabel = _tmp99_;
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp100_ = dLabel;
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp93_ = _tmp100_;
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (_tmp98_);
#line 1956 "MediaPlayer.c"
	} else {
#line 316 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp93_ = NULL;
#line 1960 "MediaPlayer.c"
	}
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp102_ = md;
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp102_ != NULL) {
#line 1966 "MediaPlayer.c"
		const gchar* _tmp103_ = NULL;
		gdouble* _tmp104_ = NULL;
		gchar* _tmp105_ = NULL;
		gchar* _tmp106_ = NULL;
		gchar* _tmp107_ = NULL;
		const gchar* _tmp108_ = NULL;
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp103_ = dLabel;
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp104_ = md;
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp105_ = g_strdup_printf ("%02.0f", *_tmp104_);
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp106_ = _tmp105_;
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp107_ = g_strconcat (_tmp103_, _tmp106_, NULL);
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (dLabel);
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		dLabel = _tmp107_;
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp108_ = dLabel;
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp101_ = _tmp108_;
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (_tmp106_);
#line 1993 "MediaPlayer.c"
	} else {
#line 317 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp101_ = NULL;
#line 1997 "MediaPlayer.c"
	}
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp110_ = md;
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp110_ != NULL) {
#line 2003 "MediaPlayer.c"
		const gchar* _tmp111_ = NULL;
		gchar* _tmp112_ = NULL;
		const gchar* _tmp113_ = NULL;
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp111_ = dLabel;
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp112_ = g_strconcat (_tmp111_, ":", NULL);
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (dLabel);
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		dLabel = _tmp112_;
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp113_ = dLabel;
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp109_ = _tmp113_;
#line 2019 "MediaPlayer.c"
	} else {
		const gchar* _tmp114_ = NULL;
		gchar* _tmp115_ = NULL;
		const gchar* _tmp116_ = NULL;
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp114_ = dLabel;
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp115_ = g_strconcat (_tmp114_, "0:", NULL);
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (dLabel);
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		dLabel = _tmp115_;
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp116_ = dLabel;
#line 318 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp109_ = _tmp116_;
#line 2036 "MediaPlayer.c"
	}
#line 319 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp117_ = dLabel;
#line 319 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp118_ = sd;
#line 319 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp119_ = g_strdup_printf ("%02.0f", *_tmp118_);
#line 319 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp120_ = _tmp119_;
#line 319 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp121_ = g_strconcat (_tmp117_, _tmp120_, NULL);
#line 319 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (dLabel);
#line 319 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	dLabel = _tmp121_;
#line 319 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (_tmp120_);
#line 321 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp122_ = g_strdup ("-");
#line 321 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	rLabel = _tmp122_;
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp124_ = hr;
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp124_ != NULL) {
#line 2062 "MediaPlayer.c"
		const gchar* _tmp125_ = NULL;
		gdouble* _tmp126_ = NULL;
		gchar* _tmp127_ = NULL;
		gchar* _tmp128_ = NULL;
		gchar* _tmp129_ = NULL;
		const gchar* _tmp130_ = NULL;
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp125_ = rLabel;
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp126_ = hr;
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp127_ = g_strdup_printf ("%02.0f:", *_tmp126_);
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp128_ = _tmp127_;
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp129_ = g_strconcat (_tmp125_, _tmp128_, NULL);
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (rLabel);
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		rLabel = _tmp129_;
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp130_ = rLabel;
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp123_ = _tmp130_;
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (_tmp128_);
#line 2089 "MediaPlayer.c"
	} else {
#line 322 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp123_ = NULL;
#line 2093 "MediaPlayer.c"
	}
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp132_ = mr;
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp132_ != NULL) {
#line 2099 "MediaPlayer.c"
		const gchar* _tmp133_ = NULL;
		gdouble* _tmp134_ = NULL;
		gchar* _tmp135_ = NULL;
		gchar* _tmp136_ = NULL;
		gchar* _tmp137_ = NULL;
		const gchar* _tmp138_ = NULL;
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp133_ = rLabel;
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp134_ = mr;
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp135_ = g_strdup_printf ("%02.0f", *_tmp134_);
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp136_ = _tmp135_;
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp137_ = g_strconcat (_tmp133_, _tmp136_, NULL);
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (rLabel);
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		rLabel = _tmp137_;
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp138_ = rLabel;
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp131_ = _tmp138_;
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (_tmp136_);
#line 2126 "MediaPlayer.c"
	} else {
#line 323 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp131_ = NULL;
#line 2130 "MediaPlayer.c"
	}
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp140_ = mr;
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp140_ != NULL) {
#line 2136 "MediaPlayer.c"
		const gchar* _tmp141_ = NULL;
		gchar* _tmp142_ = NULL;
		const gchar* _tmp143_ = NULL;
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp141_ = rLabel;
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp142_ = g_strconcat (_tmp141_, ":", NULL);
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (rLabel);
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		rLabel = _tmp142_;
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp143_ = rLabel;
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp139_ = _tmp143_;
#line 2152 "MediaPlayer.c"
	} else {
		const gchar* _tmp144_ = NULL;
		gchar* _tmp145_ = NULL;
		const gchar* _tmp146_ = NULL;
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp144_ = rLabel;
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp145_ = g_strconcat (_tmp144_, "0:", NULL);
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (rLabel);
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		rLabel = _tmp145_;
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp146_ = rLabel;
#line 324 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp139_ = _tmp146_;
#line 2169 "MediaPlayer.c"
	}
#line 325 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp147_ = rLabel;
#line 325 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp148_ = sr;
#line 325 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp149_ = g_strdup_printf ("%02.0f", *_tmp148_);
#line 325 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp150_ = _tmp149_;
#line 325 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp151_ = g_strconcat (_tmp147_, _tmp150_, NULL);
#line 325 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (rLabel);
#line 325 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	rLabel = _tmp151_;
#line 325 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (_tmp150_);
#line 327 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp152_ = dur;
#line 327 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp152_ == ((gint64) -1)) {
#line 2191 "MediaPlayer.c"
		GtkButton* _tmp153_ = NULL;
		const gchar* _tmp154_ = NULL;
#line 329 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp153_ = self->priv->m_labelButton;
#line 329 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp154_ = pLabel;
#line 329 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		gtk_button_set_label (_tmp153_, _tmp154_);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (rLabel);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (dLabel);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (pLabel);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (hr);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (mr);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (sr);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (hp);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (mp);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (sp);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (hd);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (md);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_free0 (sd);
#line 330 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		return;
#line 2226 "MediaPlayer.c"
	}
#line 334 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp155_ = self->priv->m_display;
#line 334 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	switch (_tmp155_) {
#line 334 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case FEED_READER_DISPLAY_POSITION_ALL:
#line 2234 "MediaPlayer.c"
		{
			GtkButton* _tmp156_ = NULL;
			const gchar* _tmp157_ = NULL;
			gchar* _tmp158_ = NULL;
			gchar* _tmp159_ = NULL;
			const gchar* _tmp160_ = NULL;
			gchar* _tmp161_ = NULL;
			gchar* _tmp162_ = NULL;
#line 337 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp156_ = self->priv->m_labelButton;
#line 337 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp157_ = pLabel;
#line 337 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp158_ = g_strconcat (_tmp157_, " / ", NULL);
#line 337 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp159_ = _tmp158_;
#line 337 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp160_ = dLabel;
#line 337 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp161_ = g_strconcat (_tmp159_, _tmp160_, NULL);
#line 337 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp162_ = _tmp161_;
#line 337 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gtk_button_set_label (_tmp156_, _tmp162_);
#line 337 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (_tmp162_);
#line 337 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (_tmp159_);
#line 338 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 2265 "MediaPlayer.c"
		}
#line 334 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case FEED_READER_DISPLAY_POSITION_POS:
#line 2269 "MediaPlayer.c"
		{
			GtkButton* _tmp163_ = NULL;
			const gchar* _tmp164_ = NULL;
#line 341 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp163_ = self->priv->m_labelButton;
#line 341 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp164_ = pLabel;
#line 341 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gtk_button_set_label (_tmp163_, _tmp164_);
#line 342 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 2281 "MediaPlayer.c"
		}
#line 334 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case FEED_READER_DISPLAY_POSITION_LEFT:
#line 2285 "MediaPlayer.c"
		{
			GtkButton* _tmp165_ = NULL;
			const gchar* _tmp166_ = NULL;
#line 345 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp165_ = self->priv->m_labelButton;
#line 345 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp166_ = rLabel;
#line 345 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gtk_button_set_label (_tmp165_, _tmp166_);
#line 346 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 2297 "MediaPlayer.c"
		}
		default:
#line 334 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		break;
#line 2302 "MediaPlayer.c"
	}
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (rLabel);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (dLabel);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (pLabel);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (hr);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (mr);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (sr);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (hp);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (mp);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (sp);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (hd);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (md);
#line 250 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (sd);
#line 2328 "MediaPlayer.c"
}


static Block30Data* block30_data_ref (Block30Data* _data30_) {
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_atomic_int_inc (&_data30_->_ref_count_);
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return _data30_;
#line 2337 "MediaPlayer.c"
}


static void block30_data_unref (void * _userdata_) {
	Block30Data* _data30_;
	_data30_ = (Block30Data*) _userdata_;
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (g_atomic_int_dec_and_test (&_data30_->_ref_count_)) {
#line 2346 "MediaPlayer.c"
		FeedReaderMediaPlayer* self;
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		self = _data30_->self;
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_g_object_unref0 (self);
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_slice_free (Block30Data, _data30_);
#line 2354 "MediaPlayer.c"
	}
}


static gboolean ___lambda61_ (Block30Data* _data30_) {
	FeedReaderMediaPlayer* self;
	gboolean result = FALSE;
	GtkScale* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
	gdouble _tmp2_ = 0.0;
#line 358 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self = _data30_->self;
#line 359 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = self->priv->m_scale;
#line 359 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp1_ = gtk_range_get_value ((GtkRange*) _tmp0_);
#line 359 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp2_ = _data30_->startValue;
#line 359 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp1_ != _tmp2_) {
#line 2375 "MediaPlayer.c"
		GtkScale* _tmp3_ = NULL;
		gdouble _tmp4_ = 0.0;
#line 361 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp3_ = self->priv->m_scale;
#line 361 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp4_ = gtk_range_get_value ((GtkRange*) _tmp3_);
#line 361 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_data30_->startValue = _tmp4_;
#line 362 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		result = TRUE;
#line 362 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		return result;
#line 2388 "MediaPlayer.c"
	} else {
		gdouble _tmp5_ = 0.0;
#line 366 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		self->priv->m_seek_source_id = (guint) 0;
#line 367 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp5_ = _data30_->startValue;
#line 367 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		feed_reader_media_player_seek (self, _tmp5_);
#line 368 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		result = FALSE;
#line 368 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		return result;
#line 2401 "MediaPlayer.c"
	}
}


static gboolean ____lambda61__gsource_func (gpointer self) {
	gboolean result;
	result = ___lambda61_ (self);
#line 358 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return result;
#line 2411 "MediaPlayer.c"
}


static gboolean feed_reader_media_player_valueChanged (FeedReaderMediaPlayer* self, GtkScrollType scroll, gdouble new_value) {
	gboolean result = FALSE;
	GtkScale* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
	guint _tmp2_ = 0U;
#line 350 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 352 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = self->priv->m_scale;
#line 352 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp1_ = new_value;
#line 352 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_range_set_value ((GtkRange*) _tmp0_, _tmp1_);
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp2_ = self->priv->m_seek_source_id;
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp2_ == ((guint) 0)) {
#line 2432 "MediaPlayer.c"
		Block30Data* _data30_;
		gdouble _tmp3_ = 0.0;
		guint _tmp4_ = 0U;
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_data30_ = g_slice_new0 (Block30Data);
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_data30_->_ref_count_ = 1;
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_data30_->self = g_object_ref (self);
#line 356 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp3_ = new_value;
#line 356 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_data30_->startValue = _tmp3_;
#line 358 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp4_ = g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 500, ____lambda61__gsource_func, block30_data_ref (_data30_), block30_data_unref);
#line 358 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		self->priv->m_seek_source_id = _tmp4_;
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		block30_data_unref (_data30_);
#line 354 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_data30_ = NULL;
#line 2454 "MediaPlayer.c"
	}
#line 372 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	result = TRUE;
#line 372 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return result;
#line 2460 "MediaPlayer.c"
}


static void feed_reader_media_player_seek (FeedReaderMediaPlayer* self, gdouble new_value) {
	gint64 dur = 0LL;
	gdouble percent = 0.0;
	gdouble _tmp0_ = 0.0;
	GstElement* _tmp1_ = NULL;
	gint64 _tmp2_ = 0LL;
	gint64 pos = 0LL;
	GstElement* _tmp3_ = NULL;
	GtkButton* _tmp4_ = NULL;
	GtkImage* _tmp5_ = NULL;
	GstElement* _tmp6_ = NULL;
#line 375 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_if_fail (self != NULL);
#line 378 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = new_value;
#line 378 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	percent = _tmp0_ / 100.0;
#line 379 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp1_ = self->priv->m_player;
#line 379 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gst_element_query_duration (_tmp1_, GST_FORMAT_TIME, &_tmp2_);
#line 379 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	dur = _tmp2_;
#line 380 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	pos = (gint64) (percent * ((gdouble) dur));
#line 381 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp3_ = self->priv->m_player;
#line 381 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gst_element_seek_simple (_tmp3_, GST_FORMAT_TIME, GST_SEEK_FLAG_FLUSH | GST_SEEK_FLAG_KEY_UNIT, pos);
#line 383 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp4_ = self->priv->m_playButton;
#line 383 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp5_ = self->priv->m_pauseIcon;
#line 383 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_button_set_image (_tmp4_, (GtkWidget*) _tmp5_);
#line 384 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp6_ = self->priv->m_player;
#line 384 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gst_element_set_state (_tmp6_, GST_STATE_PLAYING);
#line 2503 "MediaPlayer.c"
}


static void feed_reader_media_player_toggleMute (FeedReaderMediaPlayer* self) {
	gboolean _tmp0_ = FALSE;
#line 387 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_if_fail (self != NULL);
#line 389 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = self->priv->m_muted;
#line 389 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp0_) {
#line 2515 "MediaPlayer.c"
		GtkButton* _tmp1_ = NULL;
		GtkImage* _tmp2_ = NULL;
		GtkButton* _tmp3_ = NULL;
		GstElement* _tmp4_ = NULL;
#line 391 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp1_ = self->priv->m_muteButton;
#line 391 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp2_ = self->priv->m_noiseIcon;
#line 391 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		gtk_button_set_image (_tmp1_, (GtkWidget*) _tmp2_);
#line 392 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp3_ = self->priv->m_muteButton;
#line 392 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp3_, FEED_READER_MEDIA_BUTTON_MUTE);
#line 393 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp4_ = self->priv->m_player;
#line 393 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_object_set ((GObject*) _tmp4_, "volume", 1.0, NULL);
#line 394 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		self->priv->m_muted = FALSE;
#line 2536 "MediaPlayer.c"
	} else {
		GtkButton* _tmp5_ = NULL;
		GtkImage* _tmp6_ = NULL;
		GtkButton* _tmp7_ = NULL;
		GstElement* _tmp8_ = NULL;
#line 398 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp5_ = self->priv->m_muteButton;
#line 398 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp6_ = self->priv->m_muteIcon;
#line 398 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		gtk_button_set_image (_tmp5_, (GtkWidget*) _tmp6_);
#line 399 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp7_ = self->priv->m_muteButton;
#line 399 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp7_, FEED_READER_MEDIA_BUTTON_UNMUTE);
#line 400 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp8_ = self->priv->m_player;
#line 400 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		g_object_set ((GObject*) _tmp8_, "volume", 0.0, NULL);
#line 401 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		self->priv->m_muted = TRUE;
#line 2558 "MediaPlayer.c"
	}
}


static gboolean feed_reader_media_player_busCallback (FeedReaderMediaPlayer* self, GstBus* bus, GstMessage* message) {
	gboolean result = FALSE;
	GstMessage* _tmp0_ = NULL;
	GstMessageType _tmp1_ = 0;
#line 405 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 405 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_val_if_fail (bus != NULL, FALSE);
#line 405 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_val_if_fail (message != NULL, FALSE);
#line 407 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = message;
#line 407 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp1_ = _tmp0_->type;
#line 407 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	switch (_tmp1_) {
#line 407 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case GST_MESSAGE_ERROR:
#line 2581 "MediaPlayer.c"
		{
			GError* err = NULL;
			gchar* debug = NULL;
			GstMessage* _tmp2_ = NULL;
			GError* _tmp3_ = NULL;
			gchar* _tmp4_ = NULL;
			GError* _tmp5_ = NULL;
			const gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
			GstElement* _tmp9_ = NULL;
#line 412 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp2_ = message;
#line 412 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gst_message_parse_error (_tmp2_, &_tmp3_, &_tmp4_);
#line 412 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_error_free0 (err);
#line 412 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			err = _tmp3_;
#line 412 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (debug);
#line 412 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			debug = _tmp4_;
#line 413 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp5_ = err;
#line 413 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp6_ = _tmp5_->message;
#line 413 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp7_ = g_strconcat ("MediaPlayer: ", _tmp6_, NULL);
#line 413 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp8_ = _tmp7_;
#line 413 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			feed_reader_logger_error (_tmp8_);
#line 413 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (_tmp8_);
#line 414 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp9_ = self->priv->m_player;
#line 414 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gst_element_set_state (_tmp9_, GST_STATE_NULL);
#line 415 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_free0 (debug);
#line 415 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_g_error_free0 (err);
#line 415 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 2627 "MediaPlayer.c"
		}
#line 407 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case GST_MESSAGE_EOS:
#line 2631 "MediaPlayer.c"
		{
			GstElement* _tmp10_ = NULL;
			GtkButton* _tmp11_ = NULL;
			GtkImage* _tmp12_ = NULL;
#line 418 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp10_ = self->priv->m_player;
#line 418 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gst_element_set_state (_tmp10_, GST_STATE_READY);
#line 419 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp11_ = self->priv->m_playButton;
#line 419 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp12_ = self->priv->m_playIcon;
#line 419 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gtk_button_set_image (_tmp11_, (GtkWidget*) _tmp12_);
#line 420 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 2648 "MediaPlayer.c"
		}
#line 407 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case GST_MESSAGE_BUFFERING:
#line 2652 "MediaPlayer.c"
		{
			gint percent = 0;
			GstMessage* _tmp13_ = NULL;
			gint _tmp14_ = 0;
			gint _tmp15_ = 0;
#line 423 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			percent = 0;
#line 424 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp13_ = message;
#line 424 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gst_message_parse_buffering (_tmp13_, &_tmp14_);
#line 424 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			percent = _tmp14_;
#line 425 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp15_ = percent;
#line 425 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			if (_tmp15_ < 100) {
#line 2670 "MediaPlayer.c"
				GstElement* _tmp16_ = NULL;
				FeedReaderMediaType _tmp17_ = 0;
#line 427 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
				_tmp16_ = self->priv->m_player;
#line 427 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
				gst_element_set_state (_tmp16_, GST_STATE_PAUSED);
#line 429 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
				_tmp17_ = self->priv->m_type;
#line 429 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
				if (_tmp17_ == FEED_READER_MEDIA_TYPE_VIDEO) {
#line 2681 "MediaPlayer.c"
					GtkLabel* _tmp18_ = NULL;
					gint _tmp19_ = 0;
					gchar* _tmp20_ = NULL;
					gchar* _tmp21_ = NULL;
					gchar* _tmp22_ = NULL;
					gchar* _tmp23_ = NULL;
					GtkLabel* _tmp24_ = NULL;
#line 431 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp18_ = self->priv->m_bufferLabel;
#line 431 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp19_ = percent;
#line 431 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp20_ = g_strdup_printf ("%i", _tmp19_);
#line 431 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp21_ = _tmp20_;
#line 431 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp22_ = g_strconcat (_tmp21_, "%", NULL);
#line 431 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp23_ = _tmp22_;
#line 431 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					gtk_label_set_text (_tmp18_, _tmp23_);
#line 431 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_g_free0 (_tmp23_);
#line 431 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_g_free0 (_tmp21_);
#line 432 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp24_ = self->priv->m_bufferLabel;
#line 432 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					gtk_widget_show ((GtkWidget*) _tmp24_);
#line 2711 "MediaPlayer.c"
				} else {
					GtkStack* _tmp25_ = NULL;
					GtkSpinner* _tmp26_ = NULL;
#line 436 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp25_ = self->priv->m_playStack;
#line 436 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					gtk_stack_set_visible_child_name (_tmp25_, "spinner");
#line 437 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp26_ = self->priv->m_playSpinner;
#line 437 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					gtk_spinner_start (_tmp26_);
#line 2723 "MediaPlayer.c"
				}
			} else {
				GstElement* _tmp27_ = NULL;
				FeedReaderMediaType _tmp28_ = 0;
#line 442 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
				_tmp27_ = self->priv->m_player;
#line 442 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
				gst_element_set_state (_tmp27_, GST_STATE_PLAYING);
#line 443 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
				_tmp28_ = self->priv->m_type;
#line 443 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
				if (_tmp28_ == FEED_READER_MEDIA_TYPE_VIDEO) {
#line 2736 "MediaPlayer.c"
					GtkLabel* _tmp29_ = NULL;
#line 444 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp29_ = self->priv->m_bufferLabel;
#line 444 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					gtk_widget_hide ((GtkWidget*) _tmp29_);
#line 2742 "MediaPlayer.c"
				} else {
					GtkStack* _tmp30_ = NULL;
#line 446 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					_tmp30_ = self->priv->m_playStack;
#line 446 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
					gtk_stack_set_visible_child_name (_tmp30_, "button");
#line 2749 "MediaPlayer.c"
				}
			}
#line 448 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 2754 "MediaPlayer.c"
		}
#line 407 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		case GST_MESSAGE_STATE_CHANGED:
#line 2758 "MediaPlayer.c"
		{
			GstState oldstate = 0;
			GstState newstate = 0;
			GstState pending = 0;
			GstMessage* _tmp31_ = NULL;
			GstState _tmp32_ = 0;
			GstState _tmp33_ = 0;
			GstState _tmp34_ = 0;
#line 454 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			_tmp31_ = message;
#line 454 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			gst_message_parse_state_changed (_tmp31_, &_tmp32_, &_tmp33_, &_tmp34_);
#line 454 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			oldstate = _tmp32_;
#line 454 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			newstate = _tmp33_;
#line 454 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			pending = _tmp34_;
#line 455 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
			break;
#line 2779 "MediaPlayer.c"
		}
		default:
#line 407 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		break;
#line 2784 "MediaPlayer.c"
	}
#line 457 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	result = TRUE;
#line 457 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	return result;
#line 2790 "MediaPlayer.c"
}


static void feed_reader_media_player_onAllocation (FeedReaderMediaPlayer* self, GtkAllocation* allocation) {
	gdouble _tmp0_ = 0.0;
#line 460 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_if_fail (self != NULL);
#line 460 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_if_fail (allocation != NULL);
#line 462 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = self->priv->m_aspectRatio;
#line 462 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	if (_tmp0_ != ((gdouble) 0)) {
#line 2804 "MediaPlayer.c"
		gdouble width = 0.0;
		GtkAllocation _tmp1_ = {0};
		gint _tmp2_ = 0;
		gint height = 0;
		gdouble _tmp3_ = 0.0;
		gdouble _tmp4_ = 0.0;
		GtkWidget* _tmp5_ = NULL;
		gint _tmp6_ = 0;
#line 464 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp1_ = *allocation;
#line 464 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp2_ = _tmp1_.width;
#line 464 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		width = (gdouble) _tmp2_;
#line 465 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp3_ = width;
#line 465 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp4_ = self->priv->m_aspectRatio;
#line 465 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		height = (gint) (_tmp3_ / _tmp4_);
#line 466 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp5_ = self->priv->m_videoWidget;
#line 466 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		_tmp6_ = height;
#line 466 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
		gtk_widget_set_size_request (_tmp5_, -1, _tmp6_);
#line 2831 "MediaPlayer.c"
	}
}


void feed_reader_media_player_kill (FeedReaderMediaPlayer* self) {
	GstElement* _tmp0_ = NULL;
#line 470 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_return_if_fail (self != NULL);
#line 472 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_tmp0_ = self->priv->m_player;
#line 472 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gst_element_set_state (_tmp0_, GST_STATE_NULL);
#line 473 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 2846 "MediaPlayer.c"
}


static void feed_reader_media_player_class_init (FeedReaderMediaPlayerClass * klass) {
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	feed_reader_media_player_parent_class = g_type_class_peek_parent (klass);
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_type_class_add_private (klass, sizeof (FeedReaderMediaPlayerPrivate));
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	G_OBJECT_CLASS (klass)->finalize = feed_reader_media_player_finalize;
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	g_signal_new ("loaded", FEED_READER_TYPE_MEDIA_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 2859 "MediaPlayer.c"
}


static void feed_reader_media_player_instance_init (FeedReaderMediaPlayer * self) {
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv = FEED_READER_MEDIA_PLAYER_GET_PRIVATE (self);
#line 28 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_margin = 20;
#line 34 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_muted = FALSE;
#line 35 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_aspectRatio = 0.0;
#line 36 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_seek_source_id = (guint) 0;
#line 39 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self->priv->m_display = FEED_READER_DISPLAY_POSITION_ALL;
#line 2876 "MediaPlayer.c"
}


static void feed_reader_media_player_finalize (GObject* obj) {
	FeedReaderMediaPlayer * self;
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, FEED_READER_TYPE_MEDIA_PLAYER, FeedReaderMediaPlayer);
#line 18 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_player);
#line 19 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_videoWidget);
#line 20 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_playStack);
#line 21 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_playButton);
#line 22 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_playSpinner);
#line 23 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_muteButton);
#line 24 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_closeButton);
#line 25 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_scale);
#line 26 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_labelButton);
#line 27 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_bufferLabel);
#line 29 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_playIcon);
#line 30 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_pauseIcon);
#line 31 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_muteIcon);
#line 32 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_noiseIcon);
#line 33 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_object_unref0 (self->priv->m_closeIcon);
#line 38 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	_g_free0 (self->priv->m_URL);
#line 16 "/builddir/build/BUILD/FeedReader-2.0.2/src/Widgets/MediaPlayer.vala"
	G_OBJECT_CLASS (feed_reader_media_player_parent_class)->finalize (obj);
#line 2918 "MediaPlayer.c"
}


GType feed_reader_media_player_get_type (void) {
	static volatile gsize feed_reader_media_player_type_id__volatile = 0;
	if (g_once_init_enter (&feed_reader_media_player_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (FeedReaderMediaPlayerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) feed_reader_media_player_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (FeedReaderMediaPlayer), 0, (GInstanceInitFunc) feed_reader_media_player_instance_init, NULL };
		GType feed_reader_media_player_type_id;
		feed_reader_media_player_type_id = g_type_register_static (gtk_box_get_type (), "FeedReaderMediaPlayer", &g_define_type_info, 0);
		g_once_init_leave (&feed_reader_media_player_type_id__volatile, feed_reader_media_player_type_id);
	}
	return feed_reader_media_player_type_id__volatile;
}



